<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.order.dao.KwoTradeOrderUnitMapper">

    <insert id="insertBatch">
        insert into kwo_trade_order_unit
        <trim prefix="(" suffix=")" suffixOverrides=",">
            id,
            t_order_id,
            t_order_no,
            unit_type,
            ent_id,
            top_ent_id,
            firm_name,
            contacts_id,
            contacts,
            phone,
            remark,
            status,
            create_by,
            create_time,
            update_by,
            update_time,
            del_flag
        </trim>
        values
        <foreach collection="list" item="item" separator=",">
            <trim prefix="(" suffix=")" suffixOverrides=",">
                #{item.id,jdbcType=BIGINT},
                #{item.tOrderId,jdbcType=BIGINT},
                #{item.tOrderNo,jdbcType=VARCHAR},
                #{item.unitType,jdbcType=VARCHAR},
                #{item.entId,jdbcType=VARCHAR},
                #{item.topEntId,jdbcType=VARCHAR},
                #{item.firmName,jdbcType=VARCHAR},
                #{item.contactsId,jdbcType=BIGINT},
                #{item.contacts,jdbcType=VARCHAR},
                #{item.phone,jdbcType=VARCHAR},
                #{item.remark,jdbcType=VARCHAR},
                #{item.status,jdbcType=INTEGER},
                #{item.createBy,jdbcType=BIGINT},
                #{item.createTime,jdbcType=TIMESTAMP},
                #{item.updateBy,jdbcType=BIGINT},
                #{item.updateTime,jdbcType=TIMESTAMP},
                #{item.delFlag,jdbcType=INTEGER}
            </trim>
        </foreach>
    </insert>
</mapper>